import {ConformidadService} from "../../../service/conformidad_service/conformidad.service";
import {Injectable} from "@angular/core";

@Injectable({
  providedIn: 'root'
})
export class ConformidadHelper {

  constructor(public ConformidadService : ConformidadService) {}

  async cargarDatosTPRest(tipo: number) {
    const respuesta = await this.ConformidadService.listadoGeneral(tipo);
    return respuesta?.status ? respuesta.data : [];
  }

  async listadoGeneralHorizon(json: any){
    const respuesta = await this.ConformidadService.listadoGeneralHorizon(json);
    if (respuesta?.status) {
      return respuesta.data;
    }else{
      return [];
    }
  }

  async listadoGeneralTickets(json: any){
    const respuesta = await this.ConformidadService.listadoGeneralTickets(json);
    if (respuesta?.status) {
      return respuesta.data;
    }else{
      return [];
    }
  }

  async gestionConformidad(json: any){
    const respuesta = await this.ConformidadService.gestionConformidad(json);
    if (respuesta?.status) {
      return respuesta.json;
    }else{
      return [];
    }
  }

  async listadosConformidad(json: any){
    const respuesta = await this.ConformidadService.listadosConformidad(json);
    if (respuesta?.status) {
      return respuesta.json;
    }else{
      return [];
    }
  }

  async subidaEvidencia3( json : any ){
    const respuesta = await this.ConformidadService.subidaEvidencia3(json);
    return respuesta
  }

  async eliminarConformidad(json : any){
    const respuesta = await this.ConformidadService.eliminarConformidad(json);
    return respuesta
  }

  async creacionCarpeta(json : any){
    const respuesta = await this.ConformidadService.creacionCarpeta(json);
    return respuesta
  }

  async gestionOrdenSalida( json : any ){
    const respuesta = await this.ConformidadService.gestionOrdenSalida(json);
    if (respuesta?.status) {
      return respuesta.json;
    }else{
      return [];
    }
  }

}
